<template>
  <div class="table-item">
    <ValueTable  ref="ValueTable"
				:url="$api.deviceScope.selectDeviceParameter" :componentData="componentData" :key="upIndex" />
  </div>
</template>

<script>
import ValueTable from '../../tool/value-table.vue'
export default {
  components: {
    ValueTable
  },
  props:{
    month:String,
    laboratory:Object
  },
  data(){
    return{
      componentData: {
        entity: {
          deviceName: null,
          orderBy: {
            field: 'id',
            order: 'desc'
          }
        },
        isPage:false,
        isIndex: true,
        showSelect: false,
        select: false,
        do: [],
        tagField: {},
        linkEvent: {},
        selectField: {},
        requiredAdd: [],
        requiredUp: [],
      },
      upIndex:0
    }
  }
}
</script>

<style scoped>
.table-item{
  width: 100%;
  height: 100%;
}
</style>
